unit ResourceStringList;

{$mode objfpc}

interface

resourcestring
  //Left Panel Tabs Captions
  stTabCodeCaption='Code';
  stTabProjectCaption='Project';
  //Left Panel Captions
  stCodeCaption='Code explorer';
  stProjectCaption='Project explorer';
  //Bottom Panel Tabs Captions
  stTabConsoleCaption='Console';
  stTabToDoCaption='ToDo';
  //Bottom Panel Captions
  stConsoleCaption='Console';
  stToDoCaption='ToDo list';
  //Dialogs
  stDlgCloseFile='Are you sure to want close "%s"?';
  stDlgFileNotSaved='File "%s" not saved! Save file?';
  //Open Dialog title
  stOpenTitle='Open file';
  //Open Dialog filter
  stOpenFilter='All files|*.*|'+
               'All supported (*.a80;*.asm;*.inc;*.key;*.zxp;*.txt)|*.a80;*.asm;*.inc;*.key;*.zxp;*.txt|'+
               'Z80 assembler source code (*.a80;*.asm;*.inc;*.key)|*.a80;*.asm;*.inc;*.key|'+
               'Z80 assembler project (*.zxp)|*.zxp|'+
               'Text files (*.txt)|*.txt';
  //Open Project Dialog title
  stOpenProjectTitle='Open project';
  //Open Project filter
  stOpenProjectFilter='Z80 assembler project (*.zxp)|*.zxp';

  //Form Settings ComboBox, ListBox
  stcomboOptNumbersStyle0='all lines';
  stcomboOptNumbersStyle1='none';
  stcomboOptNumbersStyle2='each 5th lines';
  stcomboOptNumbersStyle3='each 10th lines';
  stcomboOptNumbersAlignment0='left';
  stcomboOptNumbersAlignment1='right';
  stcomboOptNumbersAlignment2='center';

  //Lexer properties
  stLPNone      ='none'        ;
  stLPSolid     ='solid'       ;
  stLPDash      ='dash'        ;
  stLPDot       ='dot'         ;
  stLPDashDot   ='dash dot'    ;
  stLPDashDotDot='dash dot dot';
  stLPSolid2    ='solid2'      ;
  stLPSolid3    ='solid3'      ;
  stLPWave      ='wave'        ;
  stLPDouble    ='double'      ;

  {
  //Main
  CommentAtm='ATM CP/M';
  CommentProfi='Profi CP/M';
  CommentOrion='Orion CP/M';
  CommentKorvet='Korvet CP/M';
  CommentByte01='Byte-01 CP/M';
  CommentQuorum='Quorum CP/M';
  CommentScorpion='ZS Scorpion CP/M';
  CommentVector='Vector-06C CP/M';
  CommentOrionHDD='Orion CP/M HDD Partition';
  CommentUnknown='Unknown CP/M';
  CommentExperimental='eXperimental';

  ErrorMsgHexCvrt='Converting Error!';
  ErrorMsgFNF='File not found!';
  ErrorMsgFMdf='Image file "%s" is modified.'#13#10'Save modified file?';
  ErrorMsgFIErr='Error in Image file!';
  ErrorMsgScoNSup='ZS Scorpion CP/M Disk Image file format is not supported yet!';
  ErrorMsgBlNo2Big=#13#10'Block number is too big.'#13#10#13#10+
                   'Block number = %d'#13#10+
                   'Max Block number = %d'#13#10#13#10+
                   'Offset = %.8x';
  ErrorMsgFExist='File "%s" exists.'#13#10'Replace?';
  ErrorMsgDelFileEx='Image contains deleted files!'#13#10'When image will be saved this files will be lost.'#13#10'Continue saving?';
  ErrorMsgNoFreeSp='No free space!';
  ErrorMsgNoImageFile='No Image file!'#13#10'Create or Open Image file before file adding.';
  ErrorMsgCatOverFl='Catalogue overflowed!';
  ErrorMsgDelConfirm='Are you sure to delete %d file(s)?';
  ErrorMsgDelConfirm2='Are you sure to delete "%s"?';
  ErrorMsgNoSysSel='Image format not selected!';
  ErrorMsgSysNF='System file not found!';
  ErrorMsgWrCks='Wrong checksum!';
  ErrorMsgWrSecSz='Wrong Sector size!';
  ErrorMsgWrSysSz='Wrong System file size!';
  ErrorMsgFNF2='File "%s" not found!';
  ErrorMsgIFTS='Image file too small! Continue?';
  ErrorMsgWrongXdiIni='Wrong ini-file version!';
  ErrorMsgWrongSkew='Wrong skew factor!';
  ErrorPlus3HdrNF='+3DOS Header not exists.'#13#10'Are you want to add +3DOS Header to file?';
  //Simple Disk Params
  ErrorMsgParamTooSmall='Attention! Entered value too small!'#13#10'Parameter will be set to minimum.';
  ErrorMsgParamTooBig='Attention! Entered value too big!'#13#10'Parameter will be set to maximum.';
  ErrorMsgParamOffsetBig='Attention! Number of reserved tracks can not be bigger than all tracks number!';
  ErrorMsgBasic='C Nonsense in BASIC, 0:1';
  ErrorMsgSkew='Skew Factor is not correct!'#13#10'Will be attempt to processing Image file with SkewFactor=0.';
  ErrorMsgStrNF='Search string "%s" not found!';
  ErrorMsgStrNFDn='Continue search from the beginning?';
  ErrorMsgStrNFUp='Continue search from the end?';
  ErrorMsgNotAscii='Not ASCII!';
  ErrorMsgWrongBytes='WHAT!?';
  ErrorMsgGrfHeaderWrong='Wrong Header!';
  ErrorMsgUnknGrf='Unknown GRF format!';
  ErrorMsgUnsuppGrf='Unsupported GRF format!';
  ErrorMsgWrongGrfLen='Wrong GRF file size!';
  ErrorMsgUnknWin='Unknown WIN format!';
  ErrorMsgUnknScr='Unknown SCR format!';
  ErrorMsgUnknAbr='Unknown ABR format!';
  ErrorMsgHDDWrongSize='Wrong HDD Image file size!';
  ErrorMsgHDDMBRWrong='Wrong MBR signature!';
  ErrorMsgOpenFile='Error! Can not open the file "%s".'#13#10'Maybe file in use by another application.';
  ErrorMsgXdiNotSupported='Error! WinArchiver XDI format not supported.';
  ErrorMsgHDDCPMPartNF='CP/M Partition not found!';
  ErrorMsgWrongDPHDPBCks='Wrong checksum!';
  ErrorMsgBakRenaming='Error renaming "%s" for backup!'#13#10'Operation aborted!';
  ErrorMsgWorkFileCreation='Error of creation "%s" work file!'#13#10'Operation aborted!';
  ErrorMsgHDDFileReading='Error reading file from HDD image!';

  //+3Header
  CapLbStart='Start line (or 32768 for none):';
  CapLbPar2='Size without variables:';
  CapLbArrName='Array name:';
  CapLbStart2='Start address:';
  CapLbPar22='Parametr 2 (must be 32768)';

  FTypTxt='Text file';
  FTypHlp='Help file';
  FTypCom='Command file';
  FTypDat='Data file';
  FTypFnt='Font file';
  FTypePcx='PCX Image file. ZSoft Paintbrush Image';
  FTypeBmp='BMP Image file. Windows Bitmap file';
  FTypeProfiGrf='Profi GRF Image file';
  FTypeKorvetZas='Korvet ZAS Image file';
  FTypeKorvetPic='Korvet PIC Image file. "Grin" editor file. Screen copy';
  FTypeKorvetGrf='Korvet GRF Image file. "Grin" editor file. Packed screen copy';
  FTypeKorvetWin='Korvet WIN Image file. "Grin" editor file. Screen window';
  FTypeKorvetAbr='Korvet ABR Image file. "Abris" editor file';
  FTypeKorvetScrDump='Korvet screen copy';
  FTypeOrionO32='Orion O32 Image file.';
  FTypeVectorBsv='Vector BSV Image file. Screen copy';
  FTypeVectorSzx='Vector SZX Image file. ZX Spectrum screen copy';
  FTypeVectorSpr='Vector SPR Image file. "Draw" editor file';
  FTypeVectorScr='Vector SCR Image file. "Karandash" editor file';
  FTypeVectorRbr='Vector RBR (RMB) Image file. "Rembrandt" editor file';

  DiskMapCap=' - Disk Image Map';
  BytesStr=' bytes';

  StBar1='File(s) selected: %d from %d';
  StBar2='Free: %d Bytes; %d Blocks; %d - in catalogue';

  FilterOpen='All supported|*.atm;*.pro;*.kdi;*.odi;*.od2;*.qdi;*.fdd;*.sco;*.xdi;*.trd;*.ohi|'+
             'ATM CP/M Disk Image (*.atm)|*.atm|'+
             'Profi CP/M Disk Image (*.pro)|*.pro|'+
             'Korvet CP/M Disk Image (*.kdi)|*.kdi|'+
             'Orion CP/M Disk Image (*.odi; *.od2)|*.odi;*.od2|'+
             'Orion CP/M Hard Disk Image (*.ohi)|*.ohi|'+
             'Quorum CP/M Disk Image (*.qdi)|*.qdi|'+
             'Vector-06C CP/M Disk Image (*.fdd)|*.fdd|'+
             'Scorpion CP/M Disk Image (*.sco)|*.sco|'+
             'Experimental CP/M Disk Image (*.xdi)|*.xdi|'+
             'TRD Disk Image (*.trd)|*.trd';
  FilterOpenAsXdi='All files|*.*';
  FilterAtm='ATM CP/M Disk Image (*.atm)|*.atm';
  FilterPro='Profi CP/M Disk Image (*.pro)|*.pro';
  FilterKdi='Korvet CP/M Disk Image (*.kdi)|*.kdi';
  FilterOdi='Orion CP/M Disk Image (*.odi; *.od2)|*.odi;*.od2';
  FilterQdi='Quorum CP/M Disk Image (*.qdi)|*.qdi';
  FilterSco='Scorpion CP/M Disk Image (*.sco)|*.sco';
  FilterFdd='Vector-06C CP/M Disk Image (*.fdd)|*.fdd';
  FilterXdi='Experimental CP/M Disk Image (*.xdi)|*.xdi';

  ZXScreenHint='Press key for:'#13#10#13#10+
               '+ - Enlarge Image,'#13#10+
               '- - Reduse Image,'#13#10+
               'A - ON/OFF Attributes,'#13#10+
               'I - Change INK color,'#13#10+
               'P - Change PAPER color,'#13#10+
               'B - Change BORDER color,'#13#10+
               'C - Change Color palete,'#13#10+
               'R - Reset to Default';

  KorvetZASHint='Press key for:'#13#10#13#10+
               '+ - Enlarge Image,'#13#10+
               '- - Reduse Image,'#13#10+
               'B - Change Background color,'#13#10+
               'C - Change Color palete,'#13#10+
               'R - Reset to Default';

  OrionO32Hint='Press key for:'#13#10#13#10+
               '+ - Enlarge Image,'#13#10+
               '- - Reduse Image,'#13#10+
               'B - Change Background color,'#13#10+
               'R - Reset to Default';

  VectorBSVHint='Press key for:'#13#10#13#10+
               '+ - Enlarge Image,'#13#10+
               '- - Reduse Image,'#13#10+
               'B - Change Background color,'#13#10+
               'C - Change Color palete,'#13#10+
               'R - Reset to Default';

  VectorSCRHint='Press key for:'#13#10#13#10+
               '+ - Enlarge Image,'#13#10+
               '- - Reduse Image,'#13#10+
               'B - Change Background color,'#13#10+
               'C - Change Color palete,'#13#10+
               'R - Reset to Default';

  VectorSPRHint='Press key for:'#13#10#13#10+
               '+ - Enlarge Image,'#13#10+
               '- - Reduse Image,'#13#10+
               'B - Change Background color,'#13#10+
               'C - Change Color palete,'#13#10+
               'R - Reset to Default';

  VectorRBRHint='Press key for:'#13#10#13#10+
               '+ - Enlarge Image,'#13#10+
               '- - Reduse Image,'#13#10+
               'B - Change Background color,'#13#10+
               'C - Change Color palete,'#13#10+
               'R - Reset to Default';

  ProfiGRFHint='Press key for:'#13#10#13#10+
               '+ - Enlarge Image,'#13#10+
               '- - Reduse Image,'#13#10+
               'I - Change INK color,'#13#10+
               'P - Change PAPER color,'#13#10+
               'B - Change Background color,'#13#10+
               'C - Change Color palete,'#13#10+
               'R - Reset to Default';

  VersionStr='Version ';
  ThanksTo='#The author thanks to the following people:'#13#10#13#10#13#10+
           '#Hakuna'#13#10#13#10+
           '(Thanks to him the idea to write this utility)'#13#10#13#10#13#10+
           '#caro'#13#10+
           '#Maksagor'#13#10+
           '#esl'#13#10+
           '#Error404'#13#10+
           '#Djoni'#13#10#13#10+
           '(For some good information about the CP/M disks formats)'#13#10#13#10#13#10+
           '#^m00h^'#13#10+
           '#Doronetty'#13#10+
           '#Alexander Bukharov'#13#10+
           '#KALDYH'#13#10+
           '#solegstar'#13#10+
           '#Error404'#13#10+
           '#Djoni'#13#10+
           '#Gelip'#13#10+
           '#marinovsoft'#13#10+
           '#anasana'#13#10#13#10+
           '(For their valuable ideas and support)'#13#10#13#10#13#10+
           '#Error404'#13#10+
           '#Djoni'#13#10+
           '#anasana'#13#10#13#10+
           '(For active beta testing)'#13#10#13#10#13#10+
           '#Panther'#13#10#13#10+
           '(For big help with Teledisk format)'#13#10#13#10#13#10+
           '#KTSerg'#13#10+
           '#ivagor'#13#10+
           '#AzAtom'#13#10+
           '#PRSoft'#13#10#13#10+
           '(For info about Vector-06C graphics formats)'#13#10#13#10#13#10+
           '#skalogryz'#13#10#13#10+
           '(For some help with Lazarus + Free Pascal)'#13#10#13#10#13#10+
           '#http://zx-pk.ru forum'#13#10#13#10+
           '(For sea interesting and useful information)';
           }
implementation

end.

