unit uGlobal_data;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Graphics,
  ATSynEdit;

type
  TAppOptions = record
    //Paths
    SaveCurrentPath: Boolean;
    CurrentPath: String;
    ProjectsPath: String;
    //Tabs
    NewTabAfterCurrent: Boolean;
    //View
    ShowToolBar: Boolean;
    ShowLeftPanel: Boolean;
    ShowRightPanel: Boolean;
    ShowBottomPanel: Boolean;
    ShowStatus: Boolean;
    //Editor Options
    //General
    {todo cOptions Добавить новые опции}
    OptFontName: String;//new
    {proc_globdata:675}
    OptFontSize: Integer;//new
    OptFontQuality: TFontQuality;//new
    OptCharSpacingX: Integer;//new 0
    OptCharSpacingY: Integer;//new 1
    OptTabSize: Integer;//new      8
    OptTabSpaces: Boolean;//new    true
    OptOverwriteSel: Boolean;//new false
    OptOverwriteAllowedOnPaste: Boolean;
    OptMinimapVisible: Boolean;//new true
    OptMinimapShowSelAlways: Boolean;//new false
    OptMinimapShowSelBorder: Boolean;//new true
    OptMinimapCharWidth: Integer;//new 0
    OptMinimapAtLeft: Boolean;//new false
    OptMicromapVisible: Boolean;// new false
    OptMicromapWidth: Integer;//new 12
    OptMarginRight: Integer;//new 80 last column
    OptMarginString: String;//new ''
    OptShowURLs: Boolean;//new false
    OptShowURLsRegex: String;//new ATSynEdit.cUrlRegexInitial
    OptWrapMode: TATSynWrapMode;//new 0
    OptWrapIndented: Boolean;//new true
    OptUndoLimit: Integer;//new 5000
    OptUndoGrouped: Boolean;//new true
    OptUndoAfterSave: Boolean;//new false
    OptCaretBlinkTime: Integer;//new cInitTimerBlink
    OptCaretBlinkEnabled: Boolean;//new true
    OptCaretShape: TATSynCaretShape;//new cCaretShapeVertPixels1
    OptCaretShapeOvr: TATSynCaretShape;//new cCaretShapeFull
    OptCaretShapeRO: TATSynCaretShape;//new cCaretShapeHorzPixels1
    OptCaretPosAfterPasteColumn: TATPasteCaret;//new Ord(cPasteCaretColumnRight)
    OptAutoIndent: Boolean;//new true

    OptShowCurLine: Boolean;
    OptShowCurLineMinimal: Boolean;
    OptShowCurLineOnlyFocused: Boolean;//new
    OptShowCurColumn: Boolean;
    OptLastLineOnTop: Boolean;
    OptShowFullSel: Boolean;
    OptShowFullHilite: Boolean;
    OptShowIndentLines: Boolean;
    OptShowScrollHint: Boolean;
    OptTextHint: String;
    OptWordChars: String;
    OptCopyLinesIfNoSel: Boolean;
    OptCutLinesIfNoSel: Boolean;
    OptSavingTrimSpaces: Boolean;
    OptSavingForceFinalEol: Boolean;
    //Gutter
    OptGutterVisible: Boolean;//new
    OptBMVisible: Boolean;//new
    OptFoldingVisible: Boolean;//new
    OptNumbersVisible: Boolean;//new
    OptNumbersStyle: Integer;
    OptNumbersAlignment: Integer{TAlignment};
    OptNumbersShowFirst: Boolean;
    OptNumbersSkippedChar: String;
    OptNumbersShowCarets: Boolean;
    OptShowGutterCaretBG: Boolean;
    OptNumbersFontSize: Integer;
    OptGutterShowFoldAlways: Boolean;
    OptGutterShowFoldLines: Boolean;
    OptGutterShowFoldLinesAll: Boolean;
    OptGutterPlusSize: Integer;
    OptRulerVisible: Boolean;//new
    OptRulerSize: Integer;
    OptRulerFontSize: Integer;
    OptRulerTextIndent: Integer;
    //Unprintable
    OptUnprintedVisible: Boolean;
    OptUnprintedSpaces: Boolean;
    OptUnprintedEnds: Boolean;
    OptUnprintedEndsDetails: Boolean;
    //Colors
    BlockSepLine      :TColor;
    BlockStaple       :TColor;
    BookmarkBG        :TColor;
    BorderLine        :TColor;
    Caret             :TColor;
    CollapseLine      :TColor;
    CollapseMarkBG    :TColor;
    CollapseMarkBorder:TColor;
    CollapseMarkFont  :TColor;
    ComboboxArrow     :TColor;
    ComboboxArrowBG   :TColor;
    CurrentLineBG     :TColor;
    GutterBG          :TColor;
    GutterCaretBG     :TColor;
    GutterCaretFont   :TColor;
    GutterFoldBG      :TColor;
    GutterFoldLine    :TColor;
    GutterFont        :TColor;
    GutterPlusBG      :TColor;
    GutterPlusBorder  :TColor;
    GutterSeparatorBG :TColor;
    IndentVertLines   :TColor;
    Links             :TColor;
    LockedBG          :TColor;
    MarginCaret       :TColor;
    MarginRight       :TColor;
    MarginUser        :TColor;
    MarkedLinesBG     :TColor;
    Markers           :TColor;
    MinimapBorder     :TColor;
    MinimapSelBG      :TColor;
    RulerBG           :TColor;
    RulerFont         :TColor;
    StateAdded        :TColor;
    StateChanged      :TColor;
    StateSaved        :TColor;
    TextBG            :TColor;
    TextDisabledBG    :TColor;
    TextDisabledFont  :TColor;
    TextFont          :TColor;
    TextHintFont      :TColor;
    TextSelBG         :TColor;
    TextSelFont       :TColor;
    UnprintedBG       :TColor;
    UnprintedFont     :TColor;
    UnprintedHexFont  :TColor;
  end;

implementation

end.

